# `PCL_jll.jl` (v1.11.1+0)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/49333085e1fa0eab6c13847048bb24154eb9a3e8/P/PCL/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `PCL_jll.jl` have been built from these sources:

* compressed archive: https://github.com/PointCloudLibrary/pcl/releases/download/pcl-1.11.1/source.tar.gz (SHA256 checksum: `19d1a0bee2bc153de47c05da54fc6feb23393f306ab2dea2e25419654000336e`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/49333085e1fa0eab6c13847048bb24154eb9a3e8/P/PCL/bundled)

## Platforms

`PCL_jll.jl` is available for the following platforms:

* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64 {cxxstring_abi=cxx03}` (`x86_64-w64-mingw32-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11}` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `PCL_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`Eigen_jll`](https://github.com/JuliaBinaryWrappers/Eigen_jll.jl)
* [`FLANN_jll`](https://github.com/JuliaBinaryWrappers/FLANN_jll.jl)
* [`boost_jll`](https://github.com/JuliaBinaryWrappers/boost_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libpcl_common`
* `LibraryProduct`: `libpcl_features`
* `LibraryProduct`: `libpcl_filters`
* `LibraryProduct`: `libpcl_io`
* `LibraryProduct`: `libpcl_io_ply`
* `LibraryProduct`: `libpcl_kdtree`
* `LibraryProduct`: `libpcl_keypoints`
* `LibraryProduct`: `libpcl_ml`
* `LibraryProduct`: `libpcl_octree`
* `LibraryProduct`: `libpcl_recognition`
* `LibraryProduct`: `libpcl_registration`
* `LibraryProduct`: `libpcl_sample_consensus`
* `LibraryProduct`: `libpcl_search`
* `LibraryProduct`: `libpcl_segmentation`
* `LibraryProduct`: `libpcl_stereo`
* `LibraryProduct`: `libpcl_surface`
* `LibraryProduct`: `libpcl_tracking`
* `ExecutableProduct`: `pcl_add_gaussian_noise`
* `ExecutableProduct`: `pcl_boundary_estimation`
* `ExecutableProduct`: `pcl_cluster_extraction`
* `ExecutableProduct`: `pcl_compute_cloud_error`
* `ExecutableProduct`: `pcl_compute_hausdorff`
* `ExecutableProduct`: `pcl_concatenate_points_pcd`
* `ExecutableProduct`: `pcl_convert_pcd_ascii_binary`
* `ExecutableProduct`: `pcl_crf_segmentation`
* `ExecutableProduct`: `pcl_demean_cloud`
* `ExecutableProduct`: `pcl_elch`
* `ExecutableProduct`: `pcl_extract_feature`
* `ExecutableProduct`: `pcl_fast_bilateral_filter`
* `ExecutableProduct`: `pcl_fpfh_estimation`
* `ExecutableProduct`: `pcl_generate`
* `ExecutableProduct`: `pcl_gp3_surface`
* `ExecutableProduct`: `pcl_grid_min`
* `ExecutableProduct`: `pcl_hdl_grabber`
* `ExecutableProduct`: `pcl_icp`
* `ExecutableProduct`: `pcl_icp2d`
* `ExecutableProduct`: `pcl_linemod_detection`
* `ExecutableProduct`: `pcl_local_max`
* `ExecutableProduct`: `pcl_lum`
* `ExecutableProduct`: `pcl_marching_cubes_reconstruction`
* `ExecutableProduct`: `pcl_match_linemod_template`
* `ExecutableProduct`: `pcl_mls_smoothing`
* `ExecutableProduct`: `pcl_morph`
* `ExecutableProduct`: `pcl_ndt2d`
* `ExecutableProduct`: `pcl_ndt3d`
* `ExecutableProduct`: `pcl_normal_estimation`
* `ExecutableProduct`: `pcl_outlier_removal`
* `ExecutableProduct`: `pcl_passthrough_filter`
* `ExecutableProduct`: `pcl_pcd2ply`
* `ExecutableProduct`: `pcl_pcd2vtk`
* `ExecutableProduct`: `pcl_pcd_change_viewpoint`
* `ExecutableProduct`: `pcl_pcd_convert_NaN_nan`
* `ExecutableProduct`: `pcl_pcd_introduce_nan`
* `ExecutableProduct`: `pcl_pclzf2pcd`
* `ExecutableProduct`: `pcl_plane_projection`
* `ExecutableProduct`: `pcl_ply2obj`
* `ExecutableProduct`: `pcl_ply2pcd`
* `ExecutableProduct`: `pcl_ply2ply`
* `ExecutableProduct`: `pcl_ply2raw`
* `ExecutableProduct`: `pcl_plyheader`
* `ExecutableProduct`: `pcl_poisson_reconstruction`
* `ExecutableProduct`: `pcl_progressive_morphological_filter`
* `ExecutableProduct`: `pcl_radius_filter`
* `ExecutableProduct`: `pcl_sac_segmentation_plane`
* `ExecutableProduct`: `pcl_spin_estimation`
* `ExecutableProduct`: `pcl_train_linemod_template`
* `ExecutableProduct`: `pcl_train_unary_classifier`
* `ExecutableProduct`: `pcl_transform_from_viewpoint`
* `ExecutableProduct`: `pcl_transform_point_cloud`
* `ExecutableProduct`: `pcl_unary_classifier_segment`
* `ExecutableProduct`: `pcl_uniform_sampling`
* `ExecutableProduct`: `pcl_vfh_estimation`
* `ExecutableProduct`: `pcl_voxel_grid`
* `ExecutableProduct`: `pcl_xyz2pcd`
